SPA Brands

SPA: Retrieves a paginated list of Brands

Retrieves the collection of Brand resources.

GET/api/spa/brands

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[displayName]
stringdefault:asc

No description provided.

order[priority]
stringdefault:asc

No description provided.

order[color]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

identifier
string

No description provided.

displayName
string

No description provided.

subClient
string

No description provided.

subClient[]
string[]

No description provided.

search
string

Search across multiple fields (id, identifier, displayName, priority, color, active, activeFrom, subClient.description) using OR logic with partial matching.

active
boolean

No description provided.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

Brand collection

id
integer
identifier
stringrequired
displayName
stringrequired
condition
stringrequired

Example: "true"

color
stringrequired

Example: "#083E5D"

priority
integer

Example: 1

ciCheckEnabled
boolean

Available options: truefalse

ciSettings
string[] | null
createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"